@font-face {
    font-family: 'lato';
    src: url('font/lato-black-webfont.woff2') format('woff2'),
         url('font/lato-black-webfont.woff') format('woff');
    font-weight: 900;
    font-style: normal;
	font-display: swap;
}

@font-face {
    font-family: 'lato';
    src: url('font/lato-bold-webfont.woff2') format('woff2'),
         url('font/lato-bold-webfont.woff') format('woff');
    font-weight: 700;
    font-style: normal;
	font-display: swap;
}

@font-face {
    font-family: 'lato';
    src: url('font/lato-light-webfont.woff2') format('woff2'),
         url('font/lato-light-webfont.woff') format('woff');
    font-weight: 200;
    font-style: normal;
	font-display: swap;
}

@font-face {
    font-family: 'lato';
    src: url('font/lato-regular-webfont.woff2') format('woff2'),
         url('font/lato-regular-webfont.woff') format('woff');
    font-weight: 400;
    font-style: normal;
	font-display: swap;
}

@font-face {
    font-family: 'lato';
    src: url('font/lato-thin-webfont.woff2') format('woff2'),
         url('font/lato-thin-webfont.woff') format('woff');
    font-weight: 100;
    font-style: normal;
	font-display: swap;
}


*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}
html {
	-moz-text-size-adjust: none;
	-webkit-text-size-adjust: none;
	text-size-adjust: none;
	scroll-behavior: smooth;
	font-size: 16px;
}
body,
p,
figure {
	margin: 0;
}
ul[role="list"],
ol[role="list"] {
	list-style: none;
}
body {
	min-height: 100vh;
	line-height: 1.5;
}
button,
input,
label {
	line-height: 1.1;
}
a:not([class]) {
	text-decoration-skip-ink: auto;
	color: currentColor;
}
img,
picture {
	max-width: 100%;
	display: block;
}
input,
button,
textarea,
select {
	font: inherit;
}
textarea:not([rows]) {
	min-height: 10em;
}
:target {
	scroll-margin-block: 5ex;
}

body {
	font-family: "lato", sans-serif;
	color: #cdd2d7;
	background-image: url("img/01.webp"),
		linear-gradient(90deg, rgba(23, 26, 28, 1) 32%, rgba(88, 93, 94, 1) 80%);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: top;
}

.section-title {
	color: #171a1c;
}
.section-title-second {
	color: #cdd2d7;
}
section {
	padding: clamp(1rem, 5vw, 4rem);
}

.naglowek {
	font-size: 3rem;
	font-weight: 900;
	font-family: "Oswald", sans-serif;
	letter-spacing: 1px;
	text-transform: uppercase;
	line-height: 3.5rem;
	text-wrap: balance;
	padding-bottom: 1rem;
}
.naglowek span {
	font-size: 2rem;
	color: #cdd2d7;
}
@media (width <= 1366px) {
	.naglowek {
		font-size: 2rem;
		line-height: 2rem;
	}
}

p {
	font-size: 1.3rem;
	line-height: 2.5rem;
	text-wrap: pretty;
}

@media (width <= 1366px) {
	p {
		font-size: 1.2rem;
		line-height: 2rem;
	}
}

/* NAWIGACJA KOLECZKA*/
.nav-dots {
	position: fixed;
	right: 2rem;
	top: 50%;
	transform: translateY(-50%);
	display: flex;
	flex-direction: column;
	gap: 1rem;
	z-index: 1000;
}
.nav-dot {
	width: 15px;
	height: 15px;
	border-radius: 50%;
	background-color: transparent;
	border: 2px solid #cdd2d7;
	cursor: pointer;
	transition: background-color 0.3s ease;
}
.nav-dot.active {
	background-color: #cdd2d7;
}

@media (max-width: 1526px) {
	.nav-dots {
		right: 4rem;
	}
}
@media (max-width: 1300px) {
	.nav-dots {
		display: none;
	}
}

/* HEADER */
#wrapper {
	width: min(95%, 1400px);
	margin: 20rem auto 2rem auto;
	background: rgba(255, 255, 255, 0); /* Przezroczysty biały */
	backdrop-filter: blur(3px); /* Rozmycie tła za elementem */
	-webkit-backdrop-filter: blur(2px); /* Wsparcie dla Safari */
	border-radius: 20px; /* Zaokrąglone rogi */
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.8);
}

@media (width <= 500px) {
	#wrapper {
		width: 100%;
		margin: 8rem 0 0 0;
	}
}

#logo {
	width: min(100%, 40rem);
	text-align: center;
	margin: 0 auto;
	margin-bottom: 10rem;
	color: #000000;
}
#logo img {
	padding: 2rem 0;
	margin: 0 auto;
	width: 30rem;
}

#logo p {
	padding-bottom: 6rem;
	font-size: 3rem;
	font-weight: 900;
	text-transform: uppercase;
	font-family: "Oswald", sans-serif;
}

#logo .logo-text {
	padding-bottom: 2rem;
	font-size: 1.7rem;
	opacity: 0;
	transform: translateY(30px);
	transition: all 1s ease;
}

#logo .logo-text.show {
	opacity: 1;
	transform: translateY(0);
}

#logo div {
	padding-bottom: 2rem;
	font-size: 1.2rem;
	color: #cdd2d7;
}

#logo a {
	text-decoration: none;
	text-transform: uppercase;
	font-size: 1.2rem;
	background-color: #000000;
	color: #cdd2d7;
	padding: 1rem;
	border-radius: 2rem;
	cursor: pointer;
}

@media (width <= 1300px) {
	#logo a {
		background-color: #cdd2d7;
		color: #171a1c;
	}

	#logo div {
		color: #cdd2d7;
	}

	#logo .logo-text {
		color: #cdd2d7;
	}
}

@media (width <= 1100px) {
	#logo p {
		color: #6e7476;
	}
}

@media (width <= 900px) {
	#home {
		grid-template-columns: 1fr;
		place-items: start;
	}
	#logo {
		padding: 4rem 0;
		margin: 0 auto;
	}
}

@media (width <= 350px) {
	#logo p {
		font-size: 2.5rem
	}
}

/* WYKROJ OFERTA*/
#wykroj {
	text-align: center;
}

.wykroj-box {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 5rem;
	place-items: center;
	margin: 0 auto;
	padding: 2rem;
}

.wykroj-element p {
	text-transform: uppercase;
	font-size: 1.8rem;
	font-weight: 700;
	padding-bottom: 2rem;
}

.wykroj-element div {
	font-size: 1.2rem;
	padding-bottom: 1.5rem;
}
.wykroj-element img {
	padding-left: 2rem;
}
@media (width <= 1300px) {
	.wykroj-element img {
		padding-left: 0;
	}
}

.katalog {
	padding-top: 2rem;
	font-size: 1.8rem;
	color: #cdd2d7;
	font-weight: 700;
}
.katalog a {
	color: #cdd2d7;
	font-weight: 900;
	font-family: "Oswald", sans-serif;
	text-transform: uppercase;
}

@media (width<= 1300px) {
	#wykroj .naglowek {
		font-size: 3rem;
	}
	.wykroj-box {
		grid-template-columns: 1fr;
	}
	.wykroj-element {
		display: flex;
		flex-direction: column;
	}
	.wykroj-element p {
		font-size: 1.6rem;
	}
}

@media (width <= 745px) {
	.katalog {
		display: grid;
		font-size: 1.6rem;
	}
	.katalog a {
		font-size: 1.3rem;
	}
}

/* OFFER  GALLERY*/
#offer {
	position: relative;
	display: grid;
	grid-template-columns: 1fr;
	gap: 3rem;
	text-align: center;
}
.gallery {
	columns: 20rem;
	column-gap: 1rem;
}
.gallery img {
	margin-bottom: 1rem;
}

@media (width <= 1800px) {
	.gallery {
		columns: 18rem;
	}
}
@media (width <= 1500px) {
	.gallery {
		columns: 16rem;
	}
}
@media (width <= 1366px) {
	#offer {
		grid-template-columns: 1fr;
	}
	.gallery {
		columns: 15rem;
	}
}

/* ABOUT */
#about {
	background-color: #171a1c;
	display: grid;
	gap: 3rem;
	grid-template-columns: 1fr 1fr;
	place-items: center;
	margin: 0 auto;
	position: relative;
}
#about::before {
	content: "";
	position: absolute;
	top: -25px;
	left: 50%;
	transform: translateX(-50%);
	width: 60px;
	height: 30px;
	background-color: #171a1c;
	background-blend-mode: multiply, multiply;
	border-top-left-radius: 30px;
	border-top-right-radius: 30px;
}
.about-text {
	margin: auto;
}

.about-text p {
	font-size: 1.2rem;
}

.about-photo {
	padding-bottom: 2rem;
}

@media (width <= 900px) {
	#about {
		grid-template-columns: 1fr;
	}
}

/* WSPOLPRACA*/
#wspolpraca {
	background-attachment: fixed;
	position: relative;
	background-color: #585d5e;
}
#wspolpraca .naglowek {
	text-align: center;
}

#wspolpraca::before {
	content: "";
	position: absolute;
	top: -25px;
	left: 50%;
	transform: translateX(-50%);
	width: 60px;
	height: 30px;
	background-color: #585d5e;
	background-blend-mode: multiply, multiply;
	border-top-left-radius: 30px;
	border-top-right-radius: 30px;
}

#wspolpraca::after {
	content: "";
	position: absolute;
	bottom: -25px;
	left: 50%;
	transform: translateX(-50%) rotate(180deg);
	width: 60px;
	height: 30px;
	background-color: #585d5e;
	background-blend-mode: multiply, multiply;
	border-top-left-radius: 30px;
	border-top-right-radius: 30px;
}

.wspolpraca-box {
	display: flex;
	justify-content: center;
	gap: 1rem;
}
.wspolpraca-element {
	padding: 2rem;
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
}
.wspolpraca-element img {
	width: 5rem;
	height: 5rem;
	margin: 2rem auto;
}

.naglowek-wspolpraca {
	padding-bottom: 1rem;
	color: #171a1c;
	text-transform: uppercase;
	font-size: 1.4rem;
	font-weight: 900;
	font-family: "Oswald", sans-serif;
}
.text-wspolpraca {
	font-size: 1.1rem;
}

@media (width <= 1200px) {
	#wspolpraca .naglowek {
		color: #171a1c;
	}
	.wspolpraca-box {
		flex-direction: column;
	}
	.wspolpraca-element {
		flex-direction: row;
		gap: 2rem;
		text-align: left;
	}
	.naglowek-wspolpraca {
		font-size: 1.5rem;
	}
}

@media (width <= 700px) {
	.wspolpraca-box {
		flex-direction: row;
		flex-wrap: wrap;
	}
	.wspolpraca-element {
		flex-direction: column;
		gap: 0;
		text-align: center;
	}
}

/* COLORS NADRUKI */

#colors {
	display: grid;
	place-items: center;
	grid-template-columns: 1fr 1fr;
	gap: 3rem;
	padding: 10rem;
	position: relative;
}
@media (width <= 1500px) {
	#colors {
		grid-template-columns: 1fr 2fr;
		padding: 5rem;
	}
	#colors .naglowek {
		color: #585d5e;
	}
}
@media (width <= 900px) {
	#colors {
		grid-template-columns: 1fr;
		gap: 1rem;
		padding: 3rem;
	}
	.colors-photo {
		transform: rotate(-90deg);
		max-width: 80%;
	}
}

@media (width <= 500px) {
	#colors {
		padding: 2rem;
	}
}

/* FORMULARZ */

#form {
	position: relative;
	padding: 2rem;
	background-image: url("./img/pattern3.svg");
	background-attachment: fixed;
}
.form-box {
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	border-radius: 1.2rem;
	max-width: 100rem;
	margin: 0 auto;
	padding: 2rem;
	background: linear-gradient(to right, #585d5e 50%, #171a1c 50%);
}

.contact-text {
	padding: 2rem;
	width: 50%;
	margin: auto 0;
	border-radius: 1.2rem;
}
.contact-dane {
	font-size: 1.2rem;
	width: 80%;
}
.social-media-box {
	display: flex;
	justify-content: flex-start;
	align-items: center;
	padding-top: 2rem;
}
.owner-photo {
	width: 15rem;
	height: 15rem;
	border-radius: 50%;
}
.media-box {
	padding-left: 1rem;
}
.social-media {
	padding: 1rem;
	display: flex;
	align-items: center;
}
.social-media img {
	margin-right: 1rem;
	width: 2rem;
	height: 2rem;
}
.social-media p {
	text-align: center;
	font-size: 1.3rem;
}
.form-container {	
	padding: 2rem;
	width: 50%;
}
.form-row {
	display: flex;
	gap: 1rem;
	margin-bottom: 1rem;
}
.form-group {
	flex: 1;
	margin-bottom: 1rem;
}
.form-label {
	display: block;
	margin-bottom: 1rem;
	font-size: 1rem;
}
.form-input,
.form-select,
.form-textarea {
	width: 100%;
	padding: 0.7rem;
	border: 2px solid #cdd2d7;
	border-radius: 1rem;
	font-size: 1rem;
	background-color: #cdd2d7;
	font-family: inherit;
}
.form-input:focus,
.form-select:focus,
.form-textarea:focus {
	outline: none;
}
.form-select {
	cursor: pointer;
}
.form-textarea {
	min-height: 150px;
	resize: vertical;
}
.submit-btn {
	padding: 1rem 3rem;
	background-color: #585d5e;
	color: #cdd2d7;
	border: none;
	border-radius: 1.2rem;
	font-size: 1.2rem;
	font-weight: 400;
	cursor: pointer;
	margin-top: 1rem;
	width: max-content;
}

input[type="checkbox"] {
	width: 20px;
	height: 20px;
	accent-color: #585d5e;
}

@media (width <= 1500px) {
	#form {
		padding: 5rem;
	}
	#contact-dane {
		font-size: 1.1rem;
		line-height: 2rem;
	}
	.social-media p {
		font-size: 1.3rem;
	}
	.social-media-box {
		flex-direction: column;
	}
}

@media (width <= 1300px) {
	.form-box {
		padding: 0rem;
	}
	#contact-dane {
		font-size: 1.1rem;
		line-height: 2rem;
		width: 90%;
	}
	.media-box {
		padding: 2rem 0 0 5rem;
	}
	.social-media p {
		font-size: 1.3rem;
	}
}

@media (width <= 1000px) {
	#form {
		padding: 3rem;
	}

	#contactForm {
		margin-top: 2rem;
	}

	.form-box {
		flex-direction: column;
		background: linear-gradient(to bottom, #585d5e 40%, #171a1c 40%);
	}
	.contact-text {
		width: 100%;
		display: flex;
		gap: 2rem;
	}
	#contact-dane {
		width: 45%;
	}
	#contact-dane .naglowek {
		color: #171a1c;
	}
	.social-media-box {
		padding-top: 0rem;
		margin: auto 0;
	}
	.media-box {
		padding: 1rem 0 1rem 3rem;
	}
	.form-container {
		width: 100%;
	}
}

@media (width <= 800px) {
	/* #contactForm {
		margin-top: 2rem;
	} */
	.form-box {
		background: linear-gradient(to bottom, #585d5e 48%, #171a1c 40%);
	}
	.contact-text {
		text-align: center;
		flex-direction: column;
	}
	#contact-dane {
		width: 100%;
	}
}

@media (width <= 500px) {
	#form {
		padding: 1rem;
	}
	.form-box {
		background: unset;
		box-shadow: unset;
		gap: 3rem;
		padding: 3rem 0;
		background: linear-gradient(to bottom, #585d5e 40%, #171a1c 40%);
	}
	.contact-text {
		flex-direction: column;
		/* background: #585d5e; */
	}
	.form-container {
		padding: 1rem;
		/* background-color: #171a1c; */
	}
	.form-row {
		display: block;
	}
	.form-group {
		flex: unset;
		margin-bottom: 2rem;
	}
	.form-label {
		font-size: 1.4rem;
	}
	.media-box {
		padding: 1rem 0;
	}
}

/* FOOTER */

#footer {
	background-image: url("./img/pattern3.svg");
	background-attachment: fixed;
	padding: 1rem;
	text-align: center;
	border-bottom-left-radius: 20px;
	border-bottom-right-radius: 20px;
}


        .honeypot {
            display: none;
        }

        .error {
            color: red;
            font-size: 14px;
            margin-top: 5px;
        }




		#modal {
				background: linear-gradient(90deg, rgba(23, 26, 28, 1) 32%, rgba(88, 93, 94, 1) 80%);
				color:#fff;
				padding: 1rem;
			
			text-align: center;
			position: absolute; 
			top:20%;
			left:50%;
			transform: translate(-50%, -50%);

		}